<?php if (!defined('PmWiki')) exit();
//  set location of required binaries, if needed
/*  the following default locations are defined in latexrender/scripts/latex.php
  $LatexrenderLatexPath   = "/usr/bin/latex";
  $LatexrenderDvipsPath   = "/usr/bin/dvips";
  $LatexrenderDvisvgmPath = "/usr/bin/dvisvgm";
  $LatexrenderConvertPath = "/usr/bin/convert";
  $LatexrenderIdentifyPath= "/usr/bin/identify";
*/
/*  typical mac os x binary locations
  $LatexrenderLatexPath = "/usr/texbin/latex";
  $LatexrenderDvipsPath = "/usr/texbin/dvips";
  $LatexrenderDvisvgmPath  = "/usr/texbin/dvisvgm";
  $LatexrenderConvertPath  = "/opt/local/bin/convert";
  $LatexrenderIdentifyPath = "/opt/local/bin/identify";
*/
//  use png or svg instead of gif
#  $LatexrenderImageFmt = "png";
  $LatexrenderImageFmt = "svg";

//  or use a remote latexrender image server
#  $latexrender_local = false;
#  $latexrender_server_url = 'http://www.wikipublisher.org/wiki/pub/latexrender';

// helpers if wikibook xml output flagged in wikipublisher/latex/altmarkup.php
if ($tbLatexrender) {
  $LatexrenderUrlFmt =
    "<tbook:latex kind=\"\$LinkClass\" code=\"\$LinkTitle\" />";
  function tblatexeqHelper($m) {
    return LatexRWiki('equation',$m[2]).'<tbook:wrap id="'.$m[1].'" />';
  }
  function tblatexarHelper($m) {
    return LatexRWiki(LatexArrayNum($m[1],$m[2],$m[3]),$m[4]).
      ($m[3] ? '<tbook:wrap id="'.$m[3].'" />' : '');
  }
  Markup('latexeq','<latexdm','/\{\$\s*([A-Za-z][-.:\\w]*)\s*,(.*?)\$\}/',
    "tblatexeqHelper");
  Markup('latexar','<latexeq',
    '/\{\$:([^=]+)=(\d+):(?:\s*([A-Za-z][-.:\\w]*)\s*,)?\s*(.*?)\$\}/',
    "tblatexarHelper");
  Markup('tbwrapeq','>style',
      '/(<tbook:latex[^\/]*)\s*\/><tbook:wrap\s+(id=[^>]*>)/','$1 $2');
}

// load the recipe
include_once("$FarmD/pub/latexrender/scripts/latex.php");

?>
