<?php if (!defined('PmWiki')) exit();

global $PageLogoUrl, $WikiTitle, $ImgExtPattern, $HTMLStylesFmt, 
  $LinkFunctions, $UrlLinkFmt, $UrlLinkTxtFmt, $UrlLinkImgFmt, $IMapLinkFmt,
  $UrlLinkPdfFmt, $MailLinkTxtFmt, $EnableUploadOverwrite, $UrlLinkEpubFmt, 
  $oLinkFunctionHTTP;

if (preg_match("/$ImgExtPattern$/", $PageLogoUrl)) {
    $PageLogoUrl = "<img src='$PageLogoUrl' alt='$WikiTitle' border='0' />";
    $HTMLStylesFmt[] = 
      '#wikilogo a:link, #wikilogo a:visited, #wikilogo a:hover { border: 0; }';
}

$oLinkFunctionHTTP = $LinkFunctions['http:'];
$LinkFunctions['http:']   = 'TxtLinkIMap';
$LinkFunctions['https:']  = 'TxtLinkIMap';
$LinkFunctions['mailto:'] = 'MailLinkIMap';
$LinkFunctions['Attach:'] = 'TxtLinkUpload';
SDV($EnableUploadOverwrite,1);
$IMapLinkFmt['Attach:'] = 
    "<a class='urllink' href='\$LinkUrl' rel='nofollow'>\$LinkText</a>"; 
# if ($EnableUploadOverwrite) $IMapLinkFmt['Attach:'] .= 
#    "<a class='createlink' href='\$LinkUpload'>&nbsp;&Delta;</a>";
$UrlLinkTxtFmt = "<span class='url'>$UrlLinkFmt</span>";
$UrlLinkPdfFmt = "<span class='pdf'>$UrlLinkFmt</span>";
$UrlLinkEpubFmt = "<span class='epub'>$UrlLinkFmt</span>";
$MailLinkTxtFmt = "<span class='mailto'>$UrlLinkFmt</span>";
$UrlLinkFmt    = $UrlLinkTxtFmt;
$UrlLinkImgFmt = 
    "<a class='urllinkimg' href='\$LinkUrl' rel='nofollow'>\$LinkText</a>";

function TxtLinkIMap($pagename,$imap,$path,$title,$txt,$fmt=NULL) {
  global $UrlLinkImgFmt, $UrlLinkTxtFmt, $UrlLinkPdfFmt, $UrlLinkEpubFmt,
   $oLinkFunctionHTTP;
  if (!$fmt) 
      $fmt = preg_match('/^<img/',$txt)   ? $UrlLinkImgFmt :
            (preg_match('/\.pdf$/',$path) ? $UrlLinkPdfFmt :
            (preg_match('/\.epub$/',$path) ? $UrlLinkEpubFmt : $UrlLinkTxtFmt));
  return $oLinkFunctionHTTP($pagename,$imap,$path,$title,$txt,$fmt);
}

function TxtLinkUpload($pagename, $imap, $path, $title, $txt, $fmt=NULL) {
  global $FmtV, $IMapLinkFmt, $EnableUploadOverwrite;
  $oAttach = $IMapLinkFmt['Attach:'];
  $IMapLinkFmt['Attach:'] = str_replace('$LinkText','$UploadText',$IMapLinkFmt['Attach:']);
  if ($EnableUploadOverwrite) $IMapLinkFmt['Attach:'] .= 
      "<a class='createlink' href='\$LinkUpload'>&nbsp;&Delta;</a>";
  $FmtV['$UploadText'] = str_replace('Attach:','',$txt);
  $r = LinkUpload($pagename,$imap,$path,$title,$txt,$fmt);
  $IMapLinkFmt['Attach:'] = $oAttach;
  return $r;
}

function MailLinkIMap($pagename,$imap,$path,$title,$txt,$fmt=NULL) {
  global $UrlLinkImgFmt, $MailLinkTxtFmt;
  if (!$fmt) 
      $fmt = preg_match('/^<img/',$txt) ? $UrlLinkImgFmt : $MailLinkTxtFmt;
  return LinkIMap($pagename,$imap,$path,$title,$txt,$fmt);
}

?>
